using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace zadatak1 {
    public partial class Form2 : Form {
        private Form roditelj;

        public Form2(Form roditelj, int trackBar_R, int trackBar_B, int trackBar_G) {
            roditelj.BackColorChanged += new System.EventHandler(this.promenjenaBojaPozadine);
            this.roditelj = roditelj;
            InitializeComponent();
            trackBar1.Value = trackBar_R; trackBar2.Value = trackBar_B; trackBar3.Value = trackBar_G;
        }

        public void osveziBojuRoditelja() {
            roditelj.BackColor = Color.FromArgb(trackBar1.Value, trackBar2.Value, trackBar3.Value);
        }

        private void r_move(object sender, EventArgs e) {
            osveziBojuRoditelja();
        }

        private void g_move(object sender, EventArgs e) {
            osveziBojuRoditelja();
        }

        private void b_move(object sender, EventArgs e) {
            osveziBojuRoditelja();
        }

        private void promenjenaBojaPozadine(object sender, EventArgs e) {
            trackBar1.Value = roditelj.BackColor.R;
            trackBar2.Value = roditelj.BackColor.G;
            trackBar3.Value = roditelj.BackColor.B;
        }

        private void cancel_KeyDown(object sender, KeyEventArgs e) {
            if (e.KeyCode == Keys.Escape)
                this.Dispose();
        }

        private void cancel_Click(object sender, EventArgs e) {
            this.Dispose();
        }
    }
}